Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030009
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2015-05-26 10:042015-06-24 02:56
ReporteregoitzView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision89faeb629846
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030009: UpdatePaymentPlan modulscript takes hours to finish updating from mp31 to PR15Q2

DescriptionUpdatePaymentPlan modulscript takes hours to finish updating from mp31 to PR15Q2
Steps To ReproduceExecute the update on an environment with big amout of data.

contact ECA for a copy of the environment.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00288603.0PR15Q2 closedSandrahuguet UpdatePaymentPlan modulscript takes long when updating from a version lower than q3 to q3. 
depends on backport 00302183.0PR15Q2.3 closedaferraz UpdatePaymentPlan modulscript takes hours to finish updating from mp31 to PR15Q2 
depends on backport 00302193.0PR15Q1.6 closedaferraz UpdatePaymentPlan modulscript takes hours to finish updating from mp31 to PR15Q2 
related to defect 0030007 closedaferraz Payment schedule amount incorrectly calculated when adding a payment from reconcile window to a sales order 
blocks defect 00301703.0PR15Q3 closedaferraz Generic UpdatePaymentPlan module script 

-  Notes
(0078448)
hgbot (developer)
2015-06-23 17:15

Repository: erp/devel/pi
Changeset: 89faeb6298463816c653854cd670f9b42b20eb4c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jun 22 18:29:20 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/89faeb6298463816c653854cd670f9b42b20eb4c [^]

Fixes issue 30009: Performance problems in UpdatePaymentPlan modulscript

UpdatePaymentPlan modulscript has been changed in order to improve the performance.
Now a select will be done to get wrong records, and then they will be updated inside a loop.

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentPlan.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentPlanData.class
M src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentPlan.java
M src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentPlan_data.xsql
---
(0078452)
vmromanos (developer)
2015-06-23 17:17

Code review + testing OK
(0078464)
hudsonbot (developer)
2015-06-24 02:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0a35ad8c7048 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-26 10:04 egoitz New Issue
2015-05-26 10:04 egoitz Assigned To => Triage Finance
2015-05-26 10:04 egoitz Modules => Core
2015-05-26 10:04 egoitz Triggers an Emergency Pack => No
2015-05-27 12:27 aferraz Relationship added related to 0028860
2015-05-28 10:54 aferraz Relationship added related to 0030007
2015-05-29 09:48 aferraz Assigned To Triage Finance => aferraz
2015-06-02 14:41 aferraz Status new => scheduled
2015-06-12 14:48 aferraz Relationship added related to 0030170
2015-06-15 17:55 aferraz Relationship deleted related to 0030170
2015-06-15 17:55 aferraz Relationship added blocks 0030170
2015-06-22 11:44 vmromanos Status scheduled => acknowledged
2015-06-22 11:44 vmromanos Status acknowledged => scheduled
2015-06-23 17:15 hgbot Checkin
2015-06-23 17:15 hgbot Note Added: 0078448
2015-06-23 17:15 hgbot Status scheduled => resolved
2015-06-23 17:15 hgbot Resolution open => fixed
2015-06-23 17:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/89faeb6298463816c653854cd670f9b42b20eb4c [^]
2015-06-23 17:17 vmromanos Review Assigned To => vmromanos
2015-06-23 17:17 vmromanos Note Added: 0078452
2015-06-23 17:17 vmromanos Status resolved => closed
2015-06-24 02:56 hudsonbot Checkin
2015-06-24 02:56 hudsonbot Note Added: 0078464


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker